import sys

from loguru import logger

from scii.mq import MessageQueue

logger.catch
def main():
    setup_logging("TRACE", True)
    logger.info("welcome to the SCI Interface")
    with MessageQueue(rx="/sci_tx", tx="/sci_rx") as queue:
        while True:
            r = queue.receive()
            if r is None:
                break
            logger.info("msg: {}", r)

            queue.send("list")
            r = queue.receive()
            if r is None:
                break
            logger.info("list: {}", r)


def setup_logging(level: str, use_colors: bool) -> None:
    """Setup logging.

    Args:
        level: The logging level.
        use_colors: Whether to use colors in the log output.

    """
    logger.remove()  # A fresh start
    _ = logger.add(
        sys.stderr,
        colorize=use_colors,
        format="{time:HH:mm:ss} <level>{level}</level> <fg #888>{file}:{line}:</fg #888> <bold>{message}</bold>",
        level=level,
    )
